%define req_gail_version 1.3
%define pkgname libgtkhtml
%define lib_major 0
%define api_version 2
%define libname %mklibname gtkhtml %{api_version} %{lib_major}
%define libnamedev %mklibname -d gtkhtml %{api_version}

Summary: GtkHTML 2
Name: %{pkgname}%{api_version}
Version: 2.11.1
Release: %mkrel 11
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
Patch0: libgtkhtml-2.11.1-wformat.patch
Patch1: libgtkhtml-2.11.1-link.patch
Patch2: libgtkhtml-2.11.1-automake-1.13.patch
License: LGPL
Url: http://www.gnome.org/
Group: System/Libraries
BuildRequires: pkgconfig(gail) >= 1.8
BuildRequires: pkgconfig(gnome-vfs-2.0) >= 1.9.8
BuildRequires: pkgconfig(gtk+-2.0) >= 2.4.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.4.16

%description
GtkHTML 2

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}

%description -n %{libname}
GtkHTML 2 shared library

%package -n %{libnamedev}
Summary:	Static libraries, include files for GtkHTML2
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gtkhtml2-devel = %version-%release
Requires:	%{libname} = %{version}-%{release}
Obsoletes: %mklibname -d gtkhtml %{api_version} %{lib_major}

%description -n %{libnamedev}
GtkHTML2 development files.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .wformat
%patch1 -p1 -b .link
%patch2 -p1 -b .autuomake-1_13

%build
# (re)generate build scripts using our autotools
aclocal
libtoolize --copy --force --install
autoconf
automake -a -c -f

%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgtkhtml-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.11.1-11.mga3
+ Revision: 357413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 2.11.1-10.mga3
+ Revision: 339253
- patch2: fix build with automake 1.13

* Thu Dec 06 2012 cjw <cjw> 2.11.1-9.mga3
+ Revision: 327602
- patch1: fix linkage

* Wed Sep 28 2011 fwang <fwang> 2.11.1-8.mga2
+ Revision: 149757
- drop .la files

* Fri Jan 21 2011 ahmad <ahmad> 2.11.1-7.mga1
+ Revision: 28365
- drop old/unneeded scriptlets
- imported package libgtkhtml2

